<ul class="allocation-picker-option-list">
  
  <li
		class="allocation-picker-option"
		ng-repeat="option in $ctrl.getTypeOptions() track by option.name"
		ng-class="option.classes"
		data-name="{{::option.name}}"
  >	
  
		<button
			class="allocation-picker-option-button"
			type="button"
			ng-click="$ctrl.handleTypeClick(option.name)"
			ng-if="!$ctrl.getIsSelfOnlyOption()"
		>
			<zs-icon icon-type="{{option.icon}}"></zs-icon>
			{{::option.label}}
    </button>
    
		<div
			class="allocation-picker-content"
			ng-switch="option.name"
			ng-if="option.selected"
    >
    
      <!-- Assign to self -->
      <div ng-switch-when="me">

        <!-- Assign to self is the only available option -->
        <div
          ng-if="$ctrl.getIsSelfOnlyOption()"
          class="allocation-picker-content-self"
        >
          <label>
            <input
              type="checkbox"
              ng-click="$ctrl.handleAssignSelf()"
              ng-checked="$ctrl.getIsSelfOnlyOption()"
            />
            Zelf in behandeling nemen
          </label>

          <change-department
            on-click="$ctrl.handleChangeDepartment" 
            is-disabled="!($ctrl.isAssignedToSelf())"
            is-checked="$ctrl.getIsDepartmentChecked()"
          >
          </change-department>
        </div>

        <!-- Assign to self is not the only available option -->
        <div
          ng-if="!$ctrl.getIsSelfOnlyOption()"
          class="allocation-picker-content-self"
        >
          <change-department
              on-click="$ctrl.handleChangeDepartment" 
              is-disabled="false"
              is-checked="$ctrl.getIsDepartmentChecked()"
            >
          </change-department>
        </div>

      </div>

      <!-- Assign to specific person / co-worker -->
			<div ng-switch-when="coworker" ng-switch="!$ctrl.getIsAssigneeEmpty()">
				<div class="allocation-picker-coworker-display"
					ng-switch-default
				>
					<vorm-object-suggest-display
						data-object="$ctrl.ngModel.$modelValue.data"
					></vorm-object-suggest-display>
					<button type="button" ng-click="$ctrl.clearCoworker()">
						<zs-icon icon-type="close"></zs-icon>
					</button>
				</div>
				<zs-object-suggest
					data-type="'medewerker'"
					on-select="$ctrl.handleSuggest($object)"
					ng-switch-when="false"
				>
        </zs-object-suggest>
        
        <change-department 
          on-click="$ctrl.handleChangeDepartment" 
          is-disabled="$ctrl.getIsAssigneeEmpty()"
          is-checked="$ctrl.getIsDepartmentChecked()"
        >
        </change-department>

				<label data-name="inform_assignee" ng-class="{ 'disabled': $ctrl.getIsAssigneeEmpty()}">
					<input
						type="checkbox"
						ng-click="$ctrl.handleInformAssignee()"
						ng-checked="$ctrl.getIsInformAssigneeChecked()"
						ng-disabled="$ctrl.getIsAssigneeEmpty()"
					/>
					Verstuur e-mail
				</label>			
      </div>

      <!-- Assign to organisational unit / role -->
			<div ng-switch-when="org-unit">
				<zs-role-picker
					data-depth="$ctrl.depth"
					data-unit="$ctrl.ngModel.$modelValue.data.unit"
					data-role="$ctrl.ngModel.$modelValue.data.role"
					on-change="$ctrl.handleOrgUnitChange($unit, $role)"
				>
        </zs-role-picker>
      </div>

		</div>
	</li>
</ul>
